#ifndef PARAM_H
#define PARAM_H

#include "FieldParam.h"


/**
* This class represents the <PARAM> element in a 'Resource'.  
* 
* A 'Param' contains description, a max of 2 values and a
* list of links. This class is derived from the abstract class
* 'FieldParam'.
*
*/
//Date created - 03 May 2002


class Param : public FieldParam {

	public:
	
		/**
		* Default constructor.
		*/
		Param();

		/**
		* Destructor
		*/
		~Param();

		/**
		* Assignment operator overloaded.
		*/
		Param operator=(const Param &f);

		/**
		* Copy constructor.
		*/
		Param(const Param &f);
		

		int setValue(char * str, int *status);

		/**
		* Gets the 'value'.
		*/
		int getValue(char * &str, int *status);

		
	private: 
		char * paramValue;
		
		void doNothing(void)
		{
			// does nothing.
		}


};

#endif